LabeledEnum (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.core.enums

## Interface LabeledEnum

- All Superinterfaces:
    Comparable, Serializable
  All Known Implementing Classes:
    AbstractGenericLabeledEnum, AbstractLabeledEnum, LetterCodedLabeledEnum, ShortCodedLabeledEnum, StaticLabeledEnum, StringCodedLabeledEnum

  Deprecated.
  as of Spring 3.0, in favor of Java 5 enums.

      @Deprecated
      public interface LabeledEnum
      extends Comparable, Serializable

  An interface for objects that represent a labeled enumeration. Each such enum instance has the following characteristics:
  - A type that identifies the enum's class. For example: `com.mycompany.util.FileFormat`.
  - A code that uniquely identifies the enum within the context of its type. For example: "CSV". Different classes of codes are possible (e.g., Character, Integer, String).
  - A descriptive label. For example: "the CSV File Format".
  Since:
    1.2.2
  Author:
    Keith Donald

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Comparator` | `CODE_ORDER` Deprecated. Shared Comparator instance that sorts enumerations by `CODE_ORDER`.
    `static Comparator` | `DEFAULT_ORDER` Deprecated. Shared Comparator instance that sorts enumerations by `LABEL_ORDER`, then `CODE_ORDER`.
    `static Comparator` | `LABEL_ORDER` Deprecated. Shared Comparator instance that sorts enumerations by `LABEL_ORDER`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Comparable` | `getCode()` Deprecated. Return this enumeration's code.
    `String` | `getLabel()` Deprecated. Return a descriptive, optional label.
    `Class` | `getType()` Deprecated. Return this enumeration's type.

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Field Detail

    - #### CODE_ORDER

          static final Comparator CODE_ORDER

      Deprecated.
      Shared Comparator instance that sorts enumerations by `CODE_ORDER`.

    - #### LABEL_ORDER

          static final Comparator LABEL_ORDER

      Deprecated.
      Shared Comparator instance that sorts enumerations by `LABEL_ORDER`.

    - #### DEFAULT_ORDER

          static final Comparator DEFAULT_ORDER

      Deprecated.
      Shared Comparator instance that sorts enumerations by `LABEL_ORDER`, then `CODE_ORDER`.

  - ### Method Detail

    - #### getType

          Class getType()

      Deprecated.
      Return this enumeration's type.

    - #### getCode

          Comparable getCode()

      Deprecated.
      Return this enumeration's code.

      Each code should be unique within enumerations of the same type.

    - #### getLabel

          String getLabel()

      Deprecated.
      Return a descriptive, optional label.